Bug 104826 - No iucv0 connection after a successful install
No iucv0 connection after a successful install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-22 13:18 EDT by Need Real Name
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-07 12:27:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-09-22 13:18:05 EDT
Description of problem:

This statement line  REMIP=171.177.29.1                                    
was NOT created in the file /etc/sysconfig/network-scripts/ifcfg-iucv0     
during the LINUX RedHat EL3 Beta 1 install.  That prevented a successful   
network connection after IUCV0 install and reboot.  Both local and         
remote IP addresses were the same (see below).  Linux IUCV network access  
was fine after modified the ifcfg-iucv0 file and re-boot.                  
                                                                           
[root@mokcmtc01vipa-lnx00 network-scripts]# ifconfig iucv0                 
ifconfig iucv0                                                             
iucv0     Link encap:Serial Line IP                                        
          inet addr:171.177.29.2  P-t-P:171.177.29.2  Mask:255.255.255.255 
          UP POINTOPOINT RUNNING NOARP  MTU:1492  Metric:1                 
          RX packets:645 errors:0 dropped:0 overruns:0 frame:0             
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0             
          collisions:0 txqueuelen:10                                       
          RX bytes:336096 (328.2 Kb)  TX bytes:0 (0.0 b)                   
 
  --MODIFIED file--                                              
[root@mokcmtc01vipa-lnx00 network-scripts]# cat ifcfg-iucv0      
DEVICE=iucv0                                                     
BOOTPROTO=static                                                 
BROADCAST=171.177.29.2                                           
IPADDR=171.177.29.2                                              
MTU=1492                                                         
NETMASK=255.255.255.255                                          
NETWORK=171.177.29.2                                             
ONBOOT=yes                                                       
TYPE=IUCV                                                        
REMIP=171.177.29.1                                               
                                                                 
  --ORIGINAL file--                                              
[root@mokcmtc01vipa-lnx00 network-scripts]# cat orig_ifcfg-iucv0 
DEVICE=iucv0                                                     
BOOTPROTO=static                                                 
BROADCAST=171.177.29.2                                           
IPADDR=171.177.29.2                                              
MTU=1492                                                         
NETMASK=255.255.255.255                                          
NETWORK=171.177.29.2                                             
ONBOOT=yes                                                       
TYPE=IUCV                                                        
                                                                 

By the way, which parameter should I use in the REDHAT PRM file to 
include "iucv=TCPIP" so the install program will not prompt for input?   
IUCV is used for network connectivity.                              
                                                                    
  ROOT=/DEV/RAM0 RAMDISK_SIZE=65536 RO IP=OFF DASD=100,200,500-503  
  HOSTNAME=linux00.bankofamerica.com                                
  NETTYPE=iucv                                                      
  IPADDR=171.177.29.2                                               
  NETWORK=171.177.29.1                                              
  GATEWAY=171.177.29.1                                              
  MTU=1492                                                          
  DNS=171.174.3.251:171.132.7.10                                    
  SEARCHDNS=bankofamerica.com                                       
  RPMSERVER=171.177.29.6:/mnt501/rhel3b1                            
                                                                    



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Need Real Name 2003-10-07 12:25:27 EDT
It appeared that the missing statement line REMIP=171.177.29.1 problem had been 
corrected by Taroon-Beta 2.  The guest automatically connects to VM TCPIP stack 
after each IPL.  Thank you.
Comment 2 Karsten Hopp 2003-10-07 12:27:23 EDT
Thanks for confirming the fix ! 

Note You need to log in before you can comment on or make changes to this bug.